%define __python /usr/bin/python2.7
%global pyver 27
#global pyver %{nil}

Name:           python%{pyver}-AppTools
Version:        4.2.1
Release:        1%{?dist}
Summary:        Enthough Tool Suite Application Tools
Group:          Development/Libraries
License:        BSD and LGPLv2+
URL:            http://code.enthought.com/projects/app_tools/
Source0:        http://www.enthought.com/repo/ETS/apptools-%{version}.tar.gz
Source1:        README.fedora.python-AppTools
BuildArch:      noarch
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-sphinx
Requires:       numpy%{pyver}
Requires:       python%{pyver}-configobj
Requires:       python%{pyver}-pyface
Provides:       python%{pyver}-apptools = %{version}-%{release}

%description
The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.

%package doc
Summary:        Documentation for %{name}
BuildRequires:	environment-modules

%description doc
Documentation and examples for %{name}.

%prep
%setup -q -n apptools-%{version}
cp -p %{SOURCE1} README.fedora

rm -rf *.egg-info

# remove exec permission
find examples -type f -exec chmod 0644 {} ";"

%build
. /etc/profile.d/modules.sh
module load python
%{__python} setup.py build
cd docs
make html

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# remove tests for now
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/integrationtests

%files
%doc *.txt
%{python_sitelib}/*.egg-info
%{python_sitelib}/apptools/

%files doc
%doc docs/build/html examples README.fedora

%changelog
* Thu Jan 30 2014 Orion Poplawski <orion@cora.nwra.com> - 4.2.1-1
- Update to 4.2.1

* Tue Aug 6 2013 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-3
- Drop BR on python-setupdocs, no longer used

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-1
- Update to 4.2.0
- Split off documentation into a separate package

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 05 2011 Rakesh Pandit <rakesh@fedoraproject.org> 3.4.0-1
- Updated to 3.4.0

* Fri Aug 13 2010 Chen Lei <supercyper@163.com> 3.3.2-1
- Update spec to match latest guidelines w.r.t %%clean
- Fix several rpmlint warnings

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 31 2010 Rakesh Pandit <rakesh@fedoraproject.org> 3.3.0-1
- Updated to 3.3.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.2.0-1
- Updated

* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-4
- Added README.fedora

* Fri Apr 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-3
- Removed AppTools.egg-info directory

* Fri Mar 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-2
- Included examples in %%doc, added python-TraitsGUI & python-EnthoughtBase
- as Requires. Added html folder.

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Initial package
